//--------------------------------------------------------------
// File     : main.c
// Datum    : 14.12.2013
// Version  : 1.0
// Autor    : UB
// EMail    : mc-4u(@)t-online.de
// Web      : www.mikrocontroller-4u.de
// CPU      : STM32F4
// IDE      : CooCox CoIDE 1.7.4
// GCC      : 4.7 2012q4
// Module   : CMSIS_BOOT, M4_CMSIS_CORE
// Funktion : Demo der STemWin-Library
// Hinweis  : Diese zwei Files muessen auf 8MHz stehen
//              "cmsis_boot/stm32f4xx.h"
//              "cmsis_boot/system_stm32f4xx.c"
//--------------------------------------------------------------

#include "main.h"
#include "stm32_ub_stemwin.h"

int main(void)
{
  BUTTON_Handle hButton;

  SystemInit(); // Quarz Einstellungen aktivieren

  // init und start von STemWin
  UB_STemWIN_init();

  // Font einstellen
  GUI_SetFont(GUI_FONT_20F_ASCII);
  // Text ausgeben
  GUI_DispStringHCenterAt("Hello world!", 80, 20);

  // Button-Demo
  while(1)
  {
    GUI_SetFont(&GUI_Font8x16);
    GUI_DispStringHCenterAt("Click on button...", 160, 90);
    // Create the button
    hButton = BUTTON_Create(110, 110, 100, 40, GUI_ID_OK, WM_CF_SHOW);
    // Set the button text
    BUTTON_SetText(hButton, "Click me...");
    // Let window manager handle the button
    while (GUI_WaitKey() != GUI_ID_OK);
    // Delete the button
    BUTTON_Delete(hButton);
    GUI_ClearRect(0, 50, 319, 239);
    GUI_Delay(1000);
  }
}

